Bug 1257682 - SELinux is preventing /usr/bin/tmux from 'read' accesses on the directory /home/plautrba/devel/github/fedora-selinux/setroubleshoot.git/framework.
SELinux is preventing /usr/bin/tmux from 'read' accesses on the directory /ho...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: setroubleshoot-plugins (Show other bugs)
rawhide
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
abrt_hash:b71eb65d9c8707ff47e08720b4a...
:
Depends On: 1254674
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 12:29 EDT by Miroslav Grepl
Modified: 2015-10-09 02:15 EDT (History)
6 users (show)

See Also:
Fixed In Version: setroubleshoot-plugins-3.3.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1254674
Environment:
Last Closed: 2015-10-09 02:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Grepl 2015-08-27 12:29:58 EDT
+++ This bug was initially created as a clone of Bug #1254674 +++

Description of problem:
I've logged in as staff_u and run tmux in my terminal. I usually use tmux in the split screen mode which runs another shell.
SELinux is preventing /usr/bin/tmux from 'read' accesses on the directory /home/plautrba/devel/github/fedora-selinux/setroubleshoot.git/framework.

*****  Plugin restorecon_source (99.5 confidence) suggests   *****************

If you want to fix the label. 
/usr/bin/tmux default label should be screen_exec_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /usr/bin/tmux

*****  Plugin catchall (1.49 confidence) suggests   **************************

If you believe that tmux should be allowed read access on the framework directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep tmux /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                staff_u:staff_r:staff_screen_t:s0
Target Context                unconfined_u:object_r:user_home_t:s0
Target Objects                /home/plautrba/devel/github/fedora-
                              selinux/setroubleshoot.git/framework [ dir ]
Source                        tmux
Source Path                   /usr/bin/tmux
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           tmux-2.0-2.fc23.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-141.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.2.0-0.rc6.git0.2.fc23.x86_64 #1
                              SMP Wed Aug 12 21:39:36 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-08-18 17:44:02 CEST
Last Seen                     2015-08-18 17:44:02 CEST
Local ID                      ccd6488e-4cbc-4739-81bb-298ba0bdb541

Raw Audit Messages
type=AVC msg=audit(1439912642.550:1348): avc:  denied  { read } for  pid=11718 comm="tmux" name="framework" dev="dm-3" ino=1319655 scontext=staff_u:staff_r:staff_screen_t:s0 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=dir permissive=1


type=SYSCALL msg=audit(1439912642.550:1348): arch=x86_64 syscall=open success=yes exit=EINVAL a0=1616320 a1=10000 a2=1616320 a3=1 items=1 ppid=1 pid=11718 auid=13558 uid=13558 gid=1000 euid=13558 suid=13558 fsuid=13558 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=3 comm=tmux exe=/usr/bin/tmux subj=staff_u:staff_r:staff_screen_t:s0 key=(null)

type=CWD msg=audit(1439912642.550:1348): cwd=/home/plautrba

type=PATH msg=audit(1439912642.550:1348): item=0 name=/home/plautrba/devel/github/fedora-selinux/setroubleshoot.git/framework inode=1319655 dev=fd:03 mode=040775 ouid=13558 ogid=1000 rdev=00:00 obj=unconfined_u:object_r:user_home_t:s0 nametype=NORMAL

Hash: tmux,staff_screen_t,user_home_t,dir,read

Version-Release number of selected component:
selinux-policy-3.13.1-141.fc23.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.0-0.rc6.git0.2.fc23.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2015-08-27 12:31:39 EDT
The plugin does wrong job here.
Comment 2 Miroslav Grepl 2015-10-05 10:50:47 EDT
Fixes as a part of the following pull request

ttps://github.com/fedora-selinux/setroubleshoot/pull/9
Comment 4 Fedora Update System 2015-10-06 03:24:17 EDT
setroubleshoot-plugins-3.3.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a20e954103
Comment 5 Fedora Update System 2015-10-07 12:28:23 EDT
setroubleshoot-plugins-3.3.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update setroubleshoot-plugins'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a20e954103
Comment 6 Fedora Update System 2015-10-09 02:15:14 EDT
setroubleshoot-plugins-3.3.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.